Subject: Re: [netconf] [netmod] Common etag, timestamp on all interfaces (draft-lindblad-netconf-transaction-id)

From: "Jan Lindblad (jlindbla)" <[email-masked]>
Date: Fri, 1 Apr 2022 08:56:25 +0000

Kent, WG,

> [CC-ing NETCONF, as this discussion (and draft) belongs there.  To whomever replies to this message, please remove NETMOD from the CC-list.  Thanks!]

Thanks for pointing this out, Kent. I never noticed which forum the question was raised in.

>>> The same rules apply:
>>> 
>>> - ETag is a MUST, LastModified is a MAY
>>> - root-node is a MUST, inner-nodes is a MAY
>> 
>> I'm perfectly fine with this. Since we are in agreement maybe I should just stop here. 
> 
> The "rules" mentioned above are what RFC 8040 defines.  The same rules should apply to the NETCONF equivalent.   Which is to say, the draft that defines the NETCONF-equivalent should define support for both.

We are in agreement. I will add back LastModified, which was there in early versions.

>> Since I noted that I haven't done a good job at explaining how the ETag mechanism works, let me take the example below and explain how this situation is avoided using ETags.
> 
> <snip/>
> 
> Regarding the PROs and CONs of ETag vs LastModified, examples can be constructed showing each being better in cases.  As protocol-designers, the choice should be given to deployments.

Right. My point was not to advocate for either one, just explain where they differ. From previous posts, I realized that my previous explanations had not been well understood.

Best Regards,
/jan